
VPATH += $(USER_DIR)/$(CONFIG_VENDOR)/$(CONFIG_PROJECT)/System/EventHub/src
INCLUDES += -I$(USER_DIR)/$(CONFIG_VENDOR)/$(CONFIG_PROJECT)/System/EventHub/inc
INCLUDES += -I$(USER_KEYPAD_DIR)/Inc
INCLUDES += -I$(USER_IR_DIR)/Inc

OBJ_RUNNTIME_EVENTHUB_C = $(wildcard $(USER_DIR)/$(CONFIG_VENDOR)/$(CONFIG_PROJECT)/System/EventHub/src/*.c)
OBJ_RUNNTIME_EVENTHUB_NODIR = $(notdir $(OBJ_RUNNTIME_EVENTHUB_C))
OBJ_RUNNTIME_EVENTHUB_C_O = $(OBJ_RUNNTIME_EVENTHUB_NODIR:%.c=%.o)
MIDDLEWARE_TARGET_O += $(OBJ_RUNNTIME_EVENTHUB_C_O)

include $(USER_KEYPAD_DIR)/Makefile.mk
ifeq ($(CONFIG_USER_IR), IR_ON)
include $(USER_IR_DIR)/Makefile.mk
endif
